List customers
curl --request GET \
--url https://api.piriod.com/customers/ \
--header 'Authorization: <api-key>' \
--header 'x-simple-workspace: <x-simple-workspace>'import requests
url = "https://api.piriod.com/customers/"
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-simple-workspace': '<x-simple-workspace>', Authorization: '<api-key>'}
};
fetch('https://api.piriod.com/customers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 142,
"results": [
{
"name": "<string>",
"address": "<string>",
"country": {
"id": "CL",
"name": "Chile",
"code": "+56",
"has_regulation": true,
"currencies": [
"CLP"
]
},
"state": {
"id": 123,
"name": "<string>",
"country": "CL"
},
"id": "cus_01H8XYZ123ABC",
"currency": "CLP",
"email": "jsmith@example.com",
"phone": "<string>",
"website": "<string>",
"zip_code": "<string>",
"manager": "<string>",
"reference": "<string>",
"tax_id": "<string>",
"tax_settings": {},
"metadata": {},
"send_invoices": true,
"send_collections": true,
"send_vouchers": true,
"status": "active",
"contacts": [
{
"name": "<string>",
"email": "jsmith@example.com",
"id": "con_01H8XYZ123ABC",
"customer": "<string>",
"orgunit": "<string>",
"phone": "<string>",
"invoicing": true,
"collections": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}
],
"sources": [
"<string>"
],
"aggregations": {
"sales": 123,
"sales_current_period": 123,
"balance": 123
},
"test_mode": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}{
"detail": "Authentication credentials were not provided."
}{
"detail": "Authentication credentials were not provided."
}Customers
List customers
Returns a paginated list of customers in the workspace.
GET
/
customers
/
List customers
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Query Parameters
Page number to retrieve (1-indexed).
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Field to sort results by. Prefix with - for descending order
(e.g. -created).
Filter by country ID.
Use lookups: created__gte, created__lte.
Filter by linked subscription ID.
Filter by linked source ID.
Response
Paginated customer list.
⌘I
